Subject: Re: bug#18995: Error: Could not reserve dynamic heap area.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Nov 2014 19:17:47 +0200

> Date: Sun, 9 Nov 2014 17:53:25 +0100
> From: Alexander Shukaev <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
>     Sheer luck: the first call to VirtualAlloc succeeds because it asks
>     for an amount that is much smaller than the 64-bit address space.
>     
> 
> 32 GB is not that small. I have only 8 GB on my current car...

(It's 256GB, not 32: the comment was wrong.)

That call only _reserves_ the address space, it doesn't actually
allocate anything.  So the amount of memory actually available on your
system is not important at that spot.  What _is_ important is that in
the 32-bit executable we are trying to reserve a significant portion
of the 2GB address space of 32-bit programs, while in the 64-bit
executable we reserve a very small portion of the address space.